Subject: Re: IPP> MOD/PRO - simple proposal for providing dictionary-

From: Harry Lewis <[email-masked]>
Date: Wed, 1 Apr 1998 19:28:39 -0500

I don't recall any consensus at Maui which would mandate XML for v2. Not that a
lot of interest wasn't expressed! We may find that different folks have
different perceptions. Rather than dwell on what might or might not have been
informally decided several meetings ago, I suggest we just engage the topic,
head-on when the time is appropriate. Does the use of XML for dictionary
necessarily force the resolution of an entirely new mapping for IPP?

Harry Lewis - IBM Printing Systems

[email-masked] on 04/01/98 05:13:45 PM
Please respond to [email-masked]
To: [email-masked], [email-masked]
cc: [email-masked]
Subject: Re: IPP> MOD/PRO - simple proposal for providing dictionary-

Hi Jay and Paul,

Yes, I'm interested to hear more about the 'decision' to do
IPPv2 on XML in Maui.  It sure didn't widely penetrate the
mailing list for the rest of us people.  And it sure TOTALLY
breaks backward compatibility.

Cheers,
- Ira McDonald (High North)
-----------------------------------------------------------
[Jay's note]
>From [email-masked] Wed Apr  1 15:37:41 1998
Return-Path: <[email-masked]>
Received: from zombi (zombi.eso.mc.xerox.com) by snorkel.eso.mc.xerox.com
(4.1/XeroxClient-1.1)
 id AA19155; Wed, 1 Apr 98 15:37:40 EST
Received: from alpha.xerox.com by zombi (4.1/SMI-4.1)
 id AA24661; Wed, 1 Apr 98 15:31:25 EST
Received: from lists.underscore.com ([199.125.85.30]) by alpha.xerox.com with
SMTP id <52295(4)>; Wed, 1 Apr 1998 12:31:32 PST
Received: from localhost (daemon@localhost) by lists.underscore.com
(8.7.5/8.7.3) with SMTP id PAA16498 for <[email-masked]>; Wed, 1 Apr
1998 15:28:01 -0500 (EST)
Received: by pwg.org (bulk_mailer v1.5); Wed, 1 Apr 1998 15:20:22 -0500
Received: (from daemon@localhost) by lists.underscore.com (8.7.5/8.7.3) id
PAA15724 for ipp-outgoing; Wed, 1 Apr 1998 15:20:09 -0500 (EST)
Message-Id: <[email-masked]>
Date: Wed, 1 Apr 1998 12:19:57 PST
From: Jay Martin <[email-masked]>
Organization: Underscore, Inc.
X-Mailer: Mozilla 4.03 [en] (WinNT; I)
Mime-Version: 1.0
To: Paul Moore <[email-masked]>
Cc: [email-masked]
Subject: Re: IPP> MOD/PRO - simple proposal for providing dictionary-like
  capability
References:
<[email-masked]>
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Sender: [email-masked]
Status: R

Paul,

Sorry, but I wasn't able to attend the Maui meeting, so perhaps
you can clarify something about the perceptions of "IPP v2"
for me.

The way I read your message (below), IPP v2 will have a totally
different encoding than IPP v1 (ie, non-standard BER-like
quasi-binary encoding vs. structured text).

Is this correct?

 ...jay

----------------------------------------------------------------------
--  JK Martin               |  Email:   [email-masked]          --
--  Underscore, Inc.        |  Voice:   (603) 889-7000              --
--  41C Sagamore Park Road  |  Fax:     (603) 889-2699              --
--  Hudson, NH 03051-4915   |  Web:     http://www.underscore.com   --
----------------------------------------------------------------------